Name:           blop
Version:        0.2.8
Release:        0.fdr.1.3
Summary:        Bandlimited LADSPA Oscillator Plugins.

Group:          System Environment/Libraries
License:        GPL
URL:            http://blop.sourceforge.net/
Source:         http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	ladspa
BuildRequires:	ladspa-devel

%description
BLOP comprises a set of LADSPA plugins that generate bandlimited sawtooth,
square, variable pulse and slope-variable triangle waves, for use in LADSPA
hosts, principally for use with one of the many modular software synthesisers
available.

They are wavetable based, and are designed to produce output with harmonic
content as high as possible over a wide pitch range.

Additionally, there are a few extra plugins to assist in building synthesis
networks.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -pD -m 644 doc/blop.rdf $RPM_BUILD_ROOT/%{_datadir}/ladspa/rdf/blop.rdf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%doc doc/*.txt
%{_datadir}/ladspa/rdf/blop.rdf
%{_libdir}/ladspa/*.so
%{_libdir}/ladspa/blop_files

%changelog
* Tue Jul 20 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.2.8-0.fdr.1: initial package
